<?php

//dummy module to overwrite filter_layout_optimizer()
// filter_layout_optimizer is no longer compatible


require_once(MH_DIR_FS_CATALOG . MH_ROOT_PATH . 'common/classes/filterbeez.php');

class filter_layout_optimizer extends filterbeez
{

    // REMOVED

// class constructor
    function __construct()
    {
        parent::__construct();
        $this->code = 'filter_layout_optimizer';
        $this->module = 'filter_layout_optimizer'; // same as folder name
        $this->enabled = false;
        $this->hidden = true;
    }

// filter method

    // moved into mh_template_emogrify() in sending process

    function processFilter($mailbeez_module_path, $iteration, $customers_id, $order_id, $output_subject, $output_content_html, $output_content_txt)
    {
        return array($output_subject, $output_content_html, $output_content_txt);
    }

// class methods
    // installation methods

    function keys()
    {
        return array();
    }
}
